<html>
    <head>
        <title>Mouse Move</title>
    </head>
    <body>
        <script type="text/javascript">
            window.clicked = false;
            document.body.addEventListener('click', function(e) {
                window.clicked = true;
            }, false);
        </script>
        <div id="mouseDownDiv">
        	Hello, World! - mouse down
        </div>
        <div id="mouseUpDiv">
        	Hello, World! - mouse up
        </div>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <button id="mybutton">button</button>
    </body>
    <script>
    	const mouseDownDiv = document.querySelector('#mouseDownDiv');
    	mouseDownDiv.onmousedown = (e) => {
    		e.target.setAttribute('mouse-down-clicked', true);
    	};
    	const mouseUpDiv = document.querySelector('#mouseUpDiv');
    	mouseUpDiv.onmouseup = (e) => {
    		e.target.setAttribute('mouse-up-clicked', true);
    	};
   	</script>
</html>